import type { FunctionalComponent } from "../../../stencil-public-runtime";
import type { JSXBase } from "../../../stencil-public-runtime";
import type { AutosuggestOption, CustomOption } from "../domain";
interface SuggestionsProps {
    class: JSXBase.HTMLAttributes<HTMLDivElement>["class"];
    hoverIndex: number;
    value: string;
    suggestions: AutosuggestOption[];
    options: CustomOption[];
    offsetWidth: number | null;
    onW3wSuggestionSelected(suggestion: AutosuggestOption): () => void;
    onCustomOptionSelected(suggestion: CustomOption): void;
    onMouseOver(suggestion: AutosuggestOption | CustomOption): () => void;
    onMouseOut(): void;
}
export declare const Suggestions: FunctionalComponent<SuggestionsProps>;
export {};
